Loading...
Searching...
No Matches
pairwise_combine.hpp File Reference

Provides seqan3::views::pairwise_combine. More...

`#include <cmath>`
`#include <ranges>`
`#include <seqan3/core/detail/iterator_traits.hpp>`
`#include <seqan3/core/range/detail/adaptor_for_view_without_args.hpp>`
`#include <seqan3/utility/range/concept.hpp>`
`#include <seqan3/utility/tuple/common_tuple.hpp>`
`#include <seqan3/utility/type_traits/detail/transformation_trait_or.hpp>`
Include dependency graph for pairwise_combine.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::views
| The SeqAn namespace for views.

## Variables

constexpr auto | seqan3::views::pairwise_combine
| A view adaptor that generates all pairwise combinations of the elements of the underlying range.

## Detailed Description

Provides seqan3::views::pairwise_combine.

Author
  Rene Rahn <rene.rahn AT fu-berlin.de>

Hide me